TEXTFONTS="\
  AvantGarde-BookOblique \
  AvantGarde-Book \
  AvantGarde-DemiOblique \
  AvantGarde-Demi \
  Bookman-DemiItalic \
  Bookman-Demi \
  Bookman-LightItalic \
  Bookman-Light \
  Courier-BoldOblique \
  Courier-Bold \
  Courier-Oblique \
  Courier \
  Helvetica-Narrow-BoldOblique \
  Helvetica-Narrow-Bold \
  Helvetica-Narrow-Oblique \
  Helvetica-Narrow \
  Helvetica-BoldOblique \
  Helvetica-Bold \
  Helvetica-Oblique \
  Helvetica \
  NewCenturySchlbk-BoldItalic \
  NewCenturySchlbk-Bold \
  NewCenturySchlbk-Italic \
  NewCenturySchlbk-Roman \
  Palatino-BoldItalic \
  Palatino-Bold \
  Palatino-Italic \
  Palatino-Roman \
  Times-BoldItalic \
  Times-Bold \
  Times-Italic \
  Times-Roman \
  ZapfChancery-MediumItalic \
"

SYMBOLFONTS="\
  ZapfDingbats \
  freeeuro \
  symbolsl \
  symbol \
  zapfdr \
"

for f in $TEXTFONTS; do
  echo processing $f
  afm2tfm $f.afm -T groff.enc -u -v temp.vpl temp.tfm > /dev/null
  vptovf temp.vpl temp.vf `echo $f | sed -f afmtfm.sed`.tfm > /dev/null
done

for f in $SYMBOLFONTS; do
  echo processing $f
  afm2tfm $f.afm -u `echo $f | sed -f afmtfm.sed`.tfm > /dev/null
done

rm -f temp.vpl temp.tfm temp.vf
